OrcMapredRecordReader (ORC MapReduce 1.2.1 API)
Date: 2016-10-19

org.apache.orc.mapred

## Class OrcMapredRecordReader<V extends WritableComparable>

- java.lang.Object
- - org.apache.orc.mapred.OrcMapredRecordReader<V>

- Type Parameters:
    `V` - the root type of the file
  All Implemented Interfaces:
    RecordReader<NullWritable,V>

      public class OrcMapredRecordReader<V extends WritableComparable>
      extends Object
      implements RecordReader<NullWritable,V>

  This record reader implements the org.apache.hadoop.mapred API.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OrcMapredRecordReader(Reader fileReader, Reader.Options options)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `NullWritable` | `createKey()`
    `V` | `createValue()`
    `long` | `getPos()`
    `float` | `getProgress()`
    `boolean` | `next(NullWritable key, V value)`
    `static WritableComparable` | `nextValue(ColumnVector vector, int row, TypeDescription schema, Object previous)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcMapredRecordReader

          protected OrcMapredRecordReader(Reader fileReader,
                                          Reader.Options options)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### next

          public boolean next(NullWritable key,
                              V value)
                       throws IOException

      Specified by:
        `next` in interface `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

    - #### createKey

          public NullWritable createKey()

      Specified by:
        `createKey` in interface `RecordReader<NullWritable,V extends WritableComparable>`

    - #### createValue

          public V createValue()

      Specified by:
        `createValue` in interface `RecordReader<NullWritable,V extends WritableComparable>`

    - #### getPos

          public long getPos()
                      throws IOException

      Specified by:
        `getPos` in interface `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

    - #### getProgress

          public float getProgress()
                            throws IOException

      Specified by:
        `getProgress` in interface `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

    - #### nextValue

          public static WritableComparable nextValue(ColumnVector vector,
                                                     int row,
                                                     TypeDescription schema,
                                                     Object previous)

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.